package ink.wgink.service.user.pojo.bos;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserAdjustmentBO
 * @Description: 用户调整业务实体类
 * @Author: WangGeng
 * @Date: 2020/5/21 11:03 下午
 * @Version: 1.0
 **/
public class UserAdjustmentBO {

    private String userId;
    private String userName;
    private String updateType;
    private String oldValue;
    private String newValue;
    private String updateReason;
    private String creator;
    private String creatorName;
    private String gmtCreate;

    public String getUserId() {
        return userId == null ? "" : userId.trim();
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName == null ? "" : userName.trim();
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUpdateType() {
        return updateType == null ? "" : updateType.trim();
    }

    public void setUpdateType(String updateType) {
        this.updateType = updateType;
    }

    public String getOldValue() {
        return oldValue == null ? "" : oldValue.trim();
    }

    public void setOldValue(String oldValue) {
        this.oldValue = oldValue;
    }

    public String getNewValue() {
        return newValue == null ? "" : newValue.trim();
    }

    public void setNewValue(String newValue) {
        this.newValue = newValue;
    }

    public String getUpdateReason() {
        return updateReason == null ? "" : updateReason.trim();
    }

    public void setUpdateReason(String updateReason) {
        this.updateReason = updateReason;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName.trim();
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":")
                .append("\"").append(userId).append("\"");
        sb.append(",\"userName\":")
                .append("\"").append(userName).append("\"");
        sb.append(",\"updateType\":")
                .append("\"").append(updateType).append("\"");
        sb.append(",\"oldValue\":")
                .append("\"").append(oldValue).append("\"");
        sb.append(",\"newValue\":")
                .append("\"").append(newValue).append("\"");
        sb.append(",\"updateReason\":")
                .append("\"").append(updateReason).append("\"");
        sb.append(",\"creator\":")
                .append("\"").append(creator).append("\"");
        sb.append(",\"creatorName\":")
                .append("\"").append(creatorName).append("\"");
        sb.append(",\"gmtCreate\":")
                .append("\"").append(gmtCreate).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
